%define rel 1

%define __requires_exclude ^pear\\(.*$

Summary:      PMB: Free sigb
Name:         pmb
Version:      7.4.6
Release:      %mkrel %{rel}
Source0:      http://forge.sigb.net/redmine/attachments/download/2308/%name%version.zip
License:      AGPLv3
Group:        Monitoring
Url:          http://www.sigb.net
Requires:     php-webinterface
BuildArch:    noarch

%description
PMB: Free sigb

%files
%{_datadir}/%{name}
%config(noreplace) %{webappconfdir}/%{name}.conf

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr * %{buildroot}%{_datadir}/%{name}

# Prebuilt x86 binaries
rm -rf %{buildroot}%{_datadir}/%{name}/classes/html2pdf/_tcpdf_*/fonts/utils/{ttf2ufm,pfm2afm}
rm -rf %{buildroot}%{_datadir}/%{name}/opac_css/classes/html2pdf/_tcpdf_*/fonts/utils/{ttf2ufm,pfm2afm}

find %{buildroot}%{_datadir}/%{name}/ -type f -print0 | xargs -0 chmod -x

mkdir -p %{buildroot}%{webappconfdir}
cat > %{buildroot}%{webappconfdir}/%{name}.conf <<EOF
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
        Require all granted
</Directory>
EOF



%changelog
* Thu Nov 24 2022 neoclust <neoclust> 7.4.6-1.mga9
+ Revision: 1910722
- New version 7.4.6

* Mon Mar 21 2022 umeabot <umeabot> 7.4.1-2.mga9
+ Revision: 1815998
- Mageia 9 Mass Rebuild

* Fri Jan 28 2022 neoclust <neoclust> 7.4.1-1.mga9
+ Revision: 1770131
- New version 7.4.1

* Mon Jun 14 2021 neoclust <neoclust> 7.4-0.RC1.1.mga9
+ Revision: 1730753
- New version 7.4 RC1

* Tue Dec 22 2020 neoclust <neoclust> 7.3.7-1.mga8
+ Revision: 1662918
- New version 7.3.7

* Wed Jul 22 2020 mokraemer <mokraemer> 5.0.5-3.mga8
+ Revision: 1607885
- resolve mod_php conflict

* Fri Feb 14 2020 umeabot <umeabot> 5.0.5-2.mga8
+ Revision: 1519219
- Mageia 8 Mass Rebuild

* Sat Oct 06 2018 pterjan <pterjan> 5.0.5-1.mga7
+ Revision: 1318273
- Remove executable bits, make the package noarch and remove duplicate entry in file list
- Update to 5.0.5 and drop some included binaries
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Wed Nov 08 2017 neoclust <neoclust> 5.0.2-1.mga7
+ Revision: 1176512
- New version 5.0.2

* Fri Mar 17 2017 neoclust <neoclust> 4.2.10-1.mga6
+ Revision: 1093393
- New version 4.2.10

* Fri Dec 09 2016 neoclust <neoclust> 4.2.9-1.mga6
+ Revision: 1073881
- New version 4.2.9

* Sat Apr 02 2016 neoclust <neoclust> 4.2.7-2.mga6
+ Revision: 997556
- New version 4.2.7

* Tue Feb 09 2016 neoclust <neoclust> 4.2.6-2.mga6
+ Revision: 952886
- Allow to install by fixing auto requires

* Thu Feb 04 2016 neoclust <neoclust> 4.2.6-1.mga6
+ Revision: 935618
- imported package pmb

